<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Contact Entity
 *
 * @property int $id
 * @property string|null $title
 * @property string|null $content
 * @property string|null $address1
 * @property string|null $address2
 * @property string|null $address3
 * @property string|null $postal_address
 * @property string|null $street
 * @property string|null $phone1
 * @property string|null $phone2
 * @property string|null $phone3
 * @property string|null $email1
 * @property string|null $email2
 * @property string|null $email3
 * @property string|null $email_copy
 * @property string|null $form_email1
 * @property string|null $form_email2
 * @property string|null $form_email3
 * @property string|null $longitude
 * @property string|null $latitude
 * @property string|null $google_map_address
 * @property string|null $facebook
 * @property string|null $twitter
 * @property string|null $instagram
 * @property string|null $linkedin
 * @property string|null $othersocialmedialink
 * @property string|null $whatsapp
 * @property string|null $youtube
 * @property string|null $working_days
 * @property string|null $working_hours
 * @property string|null $week_ends
 * @property string|null $week_ends_hours
 * @property int $show_on_footer_address1
 * @property int $show_on_footer_address2
 * @property int $show_on_footer_address3
 * @property int $show_on_footer_postal_address
 * @property int $show_on_footer_street
 * @property int $show_on_footer_phone1
 * @property int $show_on_footer_phone2
 * @property int $show_on_footer_phone3
 * @property int $show_on_footer_email1
 * @property int $show_on_footer_email2
 * @property int $show_on_footer_email3
 * @property int $show_on_footer_copy
 * @property int $show_on_footer_workingDays
 * @property int $show_on_footer_workingHours
 * @property int $show_on_footer_weekEnds
 * @property int $show_on_footer_weekhours
 * @property int $show_on_footer_facebook
 * @property int $show_on_footer_twitter
 * @property int $show_on_footer_instagram
 * @property int $show_on_footer_linkedin
 * @property int $show_on_footer_youtube
 * @property int $show_on_footer_whatsapp
 * @property int $show_on_footer_othersocialmedialink
 * @property int $show_on_header_address1
 * @property int $show_on_header_address2
 * @property int $show_on_header_address3
 * @property int $show_on_header_postal_address
 * @property int $show_on_header_street
 * @property int $show_on_header_phone1
 * @property int $show_on_header_phone2
 * @property int $show_on_header_phone3
 * @property int $show_on_header_email1
 * @property int $show_on_header_email2
 * @property int $show_on_header_email3
 * @property int $show_on_header_copy
 * @property int $show_on_header_workingDays
 * @property int $show_on_header_workingHours
 * @property int $show_on_header_weekEnds
 * @property int $show_on_header_weekhours
 * @property int $show_on_header_facebook
 * @property int $show_on_header_twitter
 * @property int $show_on_header_instagram
 * @property int $show_on_header_linkedin
 * @property int $show_on_header_youtube
 * @property int $show_on_header_whatsapp
 * @property int $show_on_header_othersocialmedialink
 */
class Contact extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'title' => true,
        'content' => true,
        'address1' => true,
        'address2' => true,
        'address3' => true,
        'postal_address' => true,
        'street' => true,
        'phone1' => true,
        'phone2' => true,
        'phone3' => true,
        'email1' => true,
        'email2' => true,
        'email3' => true,
        'email_copy' => true,
        'form_email1' => true,
        'form_email2' => true,
        'form_email3' => true,
        'longitude' => true,
        'latitude' => true,
        'google_map_address' => true,
        'facebook' => true,
        'twitter' => true,
        'instagram' => true,
        'linkedin' => true,
        'othersocialmedialink' => true,
        'whatsapp' => true,
        'youtube' => true,
        'working_days' => true,
        'working_hours' => true,
        'week_ends' => true,
        'week_ends_hours' => true,
        'show_on_footer_address1' => true,
        'show_on_footer_address2' => true,
        'show_on_footer_address3' => true,
        'show_on_footer_postal_address' => true,
        'show_on_footer_street' => true,
        'show_on_footer_phone1' => true,
        'show_on_footer_phone2' => true,
        'show_on_footer_phone3' => true,
        'show_on_footer_email1' => true,
        'show_on_footer_email2' => true,
        'show_on_footer_email3' => true,
        'show_on_footer_copy' => true,
        'show_on_footer_workingDays' => true,
        'show_on_footer_workingHours' => true,
        'show_on_footer_weekEnds' => true,
        'show_on_footer_weekhours' => true,
        'show_on_footer_facebook' => true,
        'show_on_footer_twitter' => true,
        'show_on_footer_instagram' => true,
        'show_on_footer_linkedin' => true,
        'show_on_footer_youtube' => true,
        'show_on_footer_whatsapp' => true,
        'show_on_footer_othersocialmedialink' => true,
        'show_on_header_address1' => true,
        'show_on_header_address2' => true,
        'show_on_header_address3' => true,
        'show_on_header_postal_address' => true,
        'show_on_header_street' => true,
        'show_on_header_phone1' => true,
        'show_on_header_phone2' => true,
        'show_on_header_phone3' => true,
        'show_on_header_email1' => true,
        'show_on_header_email2' => true,
        'show_on_header_email3' => true,
        'show_on_header_copy' => true,
        'show_on_header_workingDays' => true,
        'show_on_header_workingHours' => true,
        'show_on_header_weekEnds' => true,
        'show_on_header_weekhours' => true,
        'show_on_header_facebook' => true,
        'show_on_header_twitter' => true,
        'show_on_header_instagram' => true,
        'show_on_header_linkedin' => true,
        'show_on_header_youtube' => true,
        'show_on_header_whatsapp' => true,
        'show_on_header_othersocialmedialink' => true,
    ];
}
