<div class="container my-4">
    <!-- Search Field -->
    <div class="row mb-5" style="margin-bottom: 30px;">

        <div class="col-sm-6 ">
            <div class="form-inline">
                <?= $this->Paginator->limitControl([10 => 10, 20 => 20, 50 => 50, 100 => 100], null, ['label' => 'Listings per page ', 'class' => 'form-control']) ?>
            </div>
        </div>

        <div class="col-sm-5 text-right">
            <?= $this->Form->create(null, ['type' => 'get', 'class' => 'form-inline']) ?>
            <?= $this->Form->control('search', ['label' => false, 'class' => 'form-control mr-sm-2', 'placeholder' => 'Search...']) ?>
        </div>
        <div class="col-sm-1 text-right">
            <?= $this->Form->button(__('Search'), ['class' => 'btn btn-primary my-2 my-sm-0 btn-sm']) ?>
            <?= $this->Form->end() ?>
        </div>

    </div>


    <div class="table-responsive">

        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Banner</th>
                    <th>Title</th>
                    <th>Description </th>
                    <th class="actions"> <span class="pull-right">
                            <?= __('Actions') ?>
                        </span></th>
                </tr>
            </thead>
            <tbody>
                <?php
                foreach ($listings as $listing):
                    $image_path = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->image_path;
                    ?>
                    <tr>
                        <td>
                            <?= '<a href="' . $this->Url->image($image_path) . '">' . $this->Html->image($image_path, ['id' => 'image', 'style' => 'max-width:200px; max-height:150px;']) . '</a>' ?>
                        </td>
                        <td>
                            <?= $listing->title ?>
                        </td>
                        <td>
                            <?= $listing->description ?>
                        </td>
                        </td>
                        <td>
                            <span class=" pull-right">
                                <?php
                                if (in_array($listing->status, [0, 2, 99])) {
                                    echo $this->Html->link(__('Enable '), ['action' => 'enable', $listing->id], ['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']);
                                } else if ($listing->status == 1) {
                                    echo $this->Html->link(__('Disable '), ['action' => 'disable', $listing->id], ['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']);
                                }

                                echo "  ";
                                echo $this->Html->link(__("Edit"), ['action' => 'edit', $listing->id], ['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']);

                                echo "  ";

                                // if ($listing->show_on_footer == 0) {
                                //     echo $this->Html->link(__("Show on footer"), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'showOnFooter', $listing->id], ['class' => 'btn btn-sm btn-secondary', 'style' => 'margin-bottom: 5px;']) . " ";
                                // } else {
                                //     echo $this->Html->link(__("Remove from footer"), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'removeFromFooter', $listing->id], ['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']) . " ";
                                // }
                                ?>

                            </span>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>

    </div>

    <?php echo $this->element('pagination/pagination'); ?>

</div>