<div class="container my-4">
	<!-- Search Field -->
	<div class="row mb-5" style="margin-bottom: 30px;">

		<div class="col-sm-6 ">
			<div class="form-inline">
				<?= $this->Paginator->limitControl([10 => 10, 20 => 20, 50 => 50, 100 => 100], null, ['label' => 'Listings per page ', 'class' => 'form-control']) ?>
			</div>
		</div>

		<div class="col-sm-5 text-right">
			<?= $this->Form->create(null, ['type' => 'get', 'class' => 'form-inline']) ?>
			<?= $this->Form->control('search', ['label' => false, 'class' => 'form-control mr-sm-2', 'placeholder' => 'Search...']) ?>
		</div>
		<div class="col-sm-1 text-right">
			<?= $this->Form->button(__('Search'), ['class' => 'btn btn-primary my-2 my-sm-0 btn-sm']) ?>
			<?= $this->Form->end() ?>
		</div>

	</div>


	<div class="table-responsive">
		<table class="table table-striped ">

			<thead class="thead-light">
				<tr>
					<th>Section </th>
					<th>Name</th>
					<th>Content </th>
					<th>Status</th>
					<th>Home</th>
					<th>Image</th>
					<th class="actions"> <span><?= __('Actions') ?></span></th>
				</tr>
			</thead>
			<tbody>
				<?php
				foreach ($listings as $listing):
					$img = Cake\Core\Configure::read('IMAGE_PREPATH') . 'noimage.jpg';
					$showImage = false;

					if (!empty($listing->content->content_images) && !empty(trim($listing->content->content_images[0]->image_path))) {
						$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->content->content_images[0]->image_path;
					}

					if (file_exists(realpath($img)) && (filesize(realpath($img)) > 4000)) {
						$showImage = true;
					}
					?>
					<tr>
						<td><?= $listing->menu->name ?></td>
						<td><?= $listing->content->name ?></td>
						<td>
							<?= $this->Text->truncate(strip_tags($listing->content->content), 200, ['ellipsis' => '...', 'exact' => false]) ?>
						</td>
						<td><?= $listing->content->status_name ?></td>
						<td><?= $listing->content->show_on_home == 1 ? 'Yes' : 'No' ?></td>
						<td>
							total:
							<?= is_countable($listing->content->content_images) ? sizeof($listing->content->content_images) : 0 ?>
							<?= is_countable($listing->content->content_images) && sizeof($listing->content->content_images) > 0 ? '<br/>' : '' ?>
							<?= $showImage ? '<a href="' . $this->Url->image($img) . '">' . $this->Html->image($img, ['height' => '70px']) . '</a>' : '' ?>
						</td>

						<td>
							<span>
								<?php
								if (in_array($listing->content->status, [0, 2, 99])) {
									echo $this->Html->link(__('Enable '), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'enableListing', $listing->content->id], ['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']) . " ";
								} else if ($listing->content->status == 1) {
									echo $this->Html->link(__('Disable '), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'disableListing', $listing->content->id], ['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']) . " ";
								}

								echo $this->Html->link(__("Edit"), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'edit', $menuitemid, $listing->content->id, $listing->id], ['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']) . " ";

								if ($listing->content->show_on_home == 1) {
									echo $this->Html->link(__("Remove from home"), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'removeFromHome', $listing->content->id], ['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " ";
								} else {
									echo $this->Html->link(__("Show on home"), ['controller' => $this->request->getParam('section') ?? $this->request->getParam('controller'), 'action' => 'showOnHome', $listing->content->id], ['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " ";
								}
								?>

							</span>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>


	</div>

	<?php echo $this->element('pagination/pagination'); ?>

</div>