<div class="container my-4">
	<!-- Search Field -->
	<div class="row mb-5" style="margin-bottom: 30px;">

		<div class="col-sm-6 ">
			<div class="form-inline">
				<?= $this->Paginator->limitControl([10 => 10, 20 => 20, 50 => 50, 100 => 100], null, ['label' => 'Listings per page ', 'class' => 'form-control']) ?>
			</div>
		</div>

		<div class="col-sm-5 text-right">
			<?= $this->Form->create(null, ['type' => 'get', 'class' => 'form-inline']) ?>
			<?= $this->Form->control('search', ['label' => false, 'class' => 'form-control mr-sm-2', 'placeholder' => 'Search...']) ?>
		</div>
		<div class="col-sm-1 text-right">
			<?= $this->Form->button(__('Search'), ['class' => 'btn btn-primary my-2 my-sm-0 btn-sm']) ?>
			<?= $this->Form->end() ?>
		</div>

	</div>

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <th>Name</th>
                    <th>Descriptions</th>
                    <th>Content</th>
                    <th>Home</th>
                    <th>Icon</th>
                    <th>Image</th>
                    <th>Actions</th>
                </thead>
                <tbody>
                    <?php foreach ($listings as $listing){
						$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->image_path;?>
                    <tr>
                        <td><?= $listing->name ?></td>
                        <td><?= $listing->description ?></td>
                        <td><?= $this->Text->truncate(strip_tags($listing->content),200,['ellipsis' => '...','exact' => false])?>
                        </td>
                        <td><?= $listing->show_on_home == 1 ? 'Yes' : 'No' ?></td>
                        <td><span><i class="fa <?= $listing->fa_icon ?>"></i></span> <?= $listing->fa_icon ?></td>

                        <td>
                            <?= isset($listing->image_path) && trim($listing->image_path) != '' ? '<a href="' . $this->Url->image($img) . '">' . $this->Html->image($img, [  'height' => '70px']) . '</a>' : '' ?>
                        </td>
						
						<td class="actions">
							<?php
							 echo $this->Html->link(__('Edit '), ['controller'=>'BaseContent','action' => 'editMenu',$listing->id],['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']); 
							 echo '  ';
							//  echo $this->Html->link(__('View'), ['controller'=>$slug,'action' =>'view' , $listing->id],['class' => 'btn btn-sm btn-default', 'style' => 'margin-bottom: 5px;']); 
                                echo "  ";
                                if($listing->status==1){
                                echo $this->Html->link(__('Disable '), ['controller'=>$slug,'action' => 'disableMenu', $listing->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
                               }else{
                                   echo $this->Html->link(__('Enable '), ['controller'=>$slug,'action' => 'enableMenu', $listing->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']); 
                               }
                            
                                  if ($listing->show_on_home == 1) {
                                    echo "  " . $this->Html->link(__("Remove from home"), ['controller' => $slug, 'action' => 'removeMenuFromHome', $listing->id],['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " " ;
                                }
                                else {
                                    echo "  " . $this->Html->link(__("Show on home"), ['controller' => $slug, 'action' => 'showMenuOnHome', $listing->id],['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " " ;
                                }
							?>
						</td>

                    </tr>

                    <?php }?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php echo $this->element('pagination/pagination'); ?>
